ru.bitel.bgbilling.kernel.contract.api.common.service

## Interface ContractNotificationService

-     public interface ContractNotificationService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `contractNotificationDelete(int contractId, int id)`
    `java.util.List<ContractNotification>` | `contractNotificationList(int contractId)`
    `void` | `contractNotificationMarkRead(int contractId, int id)`
    `int` | `contractNotificationUnreadCount(int contractId)`
    `int` | `contractNotificationUpdate(int contractId, ContractNotification contractNotification)`

- - ### Method Detail

    - #### contractNotificationList

          java.util.List<ContractNotification> contractNotificationList(int contractId)
                                                                 throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### contractNotificationDelete

          void contractNotificationDelete(int contractId,
                                          int id)
                                   throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### contractNotificationUpdate

          int contractNotificationUpdate(int contractId,
                                         ContractNotification contractNotification)
                                  throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### contractNotificationMarkRead

          void contractNotificationMarkRead(int contractId,
                                            int id)
                                     throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### contractNotificationUnreadCount

          int contractNotificationUnreadCount(int contractId)